Proofread scan appearing tiny in wikisource, when creating or editing Page: pages
Open, HighPublic

Description

Environrment: Ubuntu 16.04, Firefox 59.0.2(64 bit),
Proofread scan appearing tiny (unreadable) in wikisource, when creating a page in page name space. After refreshing, the scan appears in readable size.

This was observed on Chrome browser as well.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 14 2018, 5:33 AM

As I see it is a rendering issue, and I am guessing something to do with ResourceLoader where the image is loading under the toolbar with a 15px height

element {

position: absolute;
top: 0px;
left: 0px;
width: 100px;
height: 15px;

}

If you simply go backwards up a page, then come forward it redraws fine. So it seems that when it is in a cache it renders properly.

Aklapper edited projects, added ProofreadPage; removed WikiEditor.Apr 14 2018, 1:32 PM
Ankry added a subscriber: Ankry.Apr 14 2018, 2:42 PM

I have observed this effect for few years apearing sometimes randomly. But, indeed, it appears more often recently.

Ankry added a comment.Apr 14 2018, 2:42 PM
This comment was removed by Ankry.
Tpt added a subscriber: Tpt.Apr 14 2018, 3:25 PM

It's probably related to change that changes slightly the loading order: https://phabricator.wikimedia.org/rEPRP3fb0fc8cb5da4778332dbf2aac7caec518e79d0b

Change 426637 had a related patch set uploaded (by Tpt; owner: Tpt):
[mediawiki/extensions/ProofreadPage@master] Moves back the loading order of Page: pages editing interface customization to previous state

https://gerrit.wikimedia.org/r/426637

Tpt moved this task from Backlog to Top priority on the ProofreadPage board.Apr 15 2018, 3:08 PM

@Aklapper who do we need to nag to get this change reviewed. This is quite an irritation to editing.

Change 426637 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Moves back the loading order of Page: pages editing interface customization to previous state

https://gerrit.wikimedia.org/r/426637

Change 429472 had a related patch set uploaded (by Tpt; owner: Tpt):
[mediawiki/extensions/ProofreadPage@master] Makes sure that the WikiEditor is setup before building Page: pages editing interface

https://gerrit.wikimedia.org/r/429472

Tpt renamed this task from Proofread scan appearing tiny in wikisource, when creating a page to Proofread scan appearing tiny in wikisource, when creating or editing Page: pages.Apr 28 2018, 6:05 PM
Tpt triaged this task as High priority.
Tpt added a subscriber: Vladis13.
Tpt closed this task as Resolved.Apr 28 2018, 6:08 PM
Tpt claimed this task.

The change have been deployed and seems to work.

Bodhisattwa reopened this task as Open.EditedApr 29 2018, 1:48 PM
Bodhisattwa added a subscriber: Bodhisattwa.

Still happening in Bengali Wikisource.

Still happening in Russian Wikisource.

See T193328 with detailed explanation.

Still happening in English Wikisource, I believe it is where the image/thumbnail is not cached.

I am wondering whether there was another change at this time that may have occurred in the toolbar area? To me it is just that the first occasion is that the thumbnail is developed after part of the page delivery, yet when you rock and roll the page (back and then forward in the browser) as the image is available (cached) already it just loads fine.

I've been contending with this for some time, but thought it was specific to my computer. As Slowking4 said, this is an issue that "strike[s] at the purpose of this site." It's difficult to do the *single most important* thing on Wikisource. The longer it's a problem, the bigger the negative impact on recruitment and retention of Wikisource editors. If there's a way I can help identify a solution -- more specific info about what causes the problem, or something else -- please let me know.

Change 434305 had a related patch set uploaded (by Tpt; owner: Tpt):
[mediawiki/extensions/ProofreadPage@master] Wait for the page image loaded before initializing zoom

https://gerrit.wikimedia.org/r/434305

Just to let you know that the problem is still there (on English Wikisource). I do agree with Peteforsyth that this is a very important issue, especially for new users, who do not yet know tricks to solve this problem (like: clicking on a new page, then clicking back, and then clicking again). Apart from this, it is time consuming. So if this could be fixed within a short time, that would be great. Greetings, Dick Bos.

Change 434305 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Wait for the page image loaded before initializing zoom

https://gerrit.wikimedia.org/r/434305

Tpt added a comment.May 23 2018, 9:36 PM

@Dick_Bos @Peteforsyth @Vladis13 @Bodhisattwa A change that should fix this problem has just been deployed on Wikisource. Could you confirm that this bug is not happening anymore after having purge your browser cache [1]?

[1] https://en.wikipedia.org/wiki/Wikipedia:Bypass_your_cache

Unfortunately, this continues. On same pages. And on new pages with images that are no in my cache, and I sure on server too, because nobody read these for months.
I did drop cache of my Chromium by ctrl+R, ctrt+F5, clicking on timer in rightup, and by drop cache in browser's History menu.
You can check this by opening the pages for editing at the URL specified above, and on the other pages by the "Next page" tab there.

Working for me on new pages (red link) that I tried at enWS, which was where I had been having the issues.
https://en.wikisource.org/wiki/Index:Surrey_Archaeological_Collections_Volume_1.djvu

@Vladis13 can you give an example of an Index that is problematic?

@Tpt I just cleared my cache and tested a few pages, and so far, it seems to be working! I hesitate to give a definitive answer just now, as the problem has been somewhat sporadic...but I just checked three pages in a row, and previously, it's almost certain at least one out of three would have failed. Thank you for your efforts!

Sure. one, two

Works fine for me at ruWS. I went to the respective index pages, and was able to open 5 pages from first work, and red and redlink pages from second work and had no issues. Randomly picked the other volumes, and no issues on random pages. ¯\_(ツ)_/¯

Strange... For me now, with the issues opens this 2st link, and about half random others. First opens good, then after ~1 sec image reloads to 100px width.

Kaganer added a comment.EditedMay 24 2018, 11:19 AM

Strange... For me now, with the issues opens this 2st link, and about half random others. First opens good, then after ~1 sec image reloads to 100px width.

Agree. For me these same.

Or, another check: please go to link https://ru.wikisource.org/w/index.php?title=Страница:Русский_биографический_словарь._Том_14_(1905).djvu/682&action=edit&redlink=1

  1. For first editing this may be look correctly
  2. If you press F5 for refreshing page, that look is bad again, as above

These same, if you swith to VisualEditor and back - after returning to the Wikitext editor this bad look is present.

Tpt added a comment.May 24 2018, 11:31 AM

Ok, so it seems to not be fully fixed :-(.

This bug is very hard to track because the connection speed and the image thumbnail cache probably affect the appearance or not of the bug (e.g. all the examples you linked were not affected by the bug for me).

I could not promise this problem will be fixed anytime soon, sorry. The current Page: pages UI is a very bad hack on top of WikiEditor and/or the edit toolbar. It is very difficult to make it work properly.

Kaganer added a comment.EditedMay 24 2018, 12:02 PM

I could not promise this problem will be fixed anytime soon, sorry. The current Page: pages UI is a very bad hack on top of WikiEditor and/or the edit toolbar. It is very difficult to make it work properly.

I'm sorry, but I ask you to try a little more. It should be a very simple mistake if you understand it.

Please see again screenshot:

In HTML-code:

  1. width="1024" height="1536"
  2. data-file-width="1891" data-file-height="2836"
  3. style="position: absolute; top: 0px; left: 0px; width: 100px; height: 548px;"

In the third statement calculated width is non-proportional, and this is error. But more than that: in this place to specify the width and height is unnecessary and harmful. If this options is removed from style statement, this look is magicaly improved:

If is required some minimal width for scanned images, is may be set some value, as example min-width:600px;, but just not a width and height directly. Please consider this remark seriously.

Tpt added a comment.May 24 2018, 12:12 PM

@Kaganer Thank you for your input.

in this place you do not need to specify the width and height.

This is actually useful for the zooming system I think. The code for it is here: https://github.com/wikimedia/mediawiki-extensions-ProofreadPage/blob/master/modules/jquery/jquery.prpZoom.js

Please to do a pull request if you have a working solution. ProofreadPage never had support from any Wikimedia organization, I am a volunteer just like you who would prefer to spend his evenings to do something else than tracking bugs which do not affect him directly.

Kaganer added a comment.EditedMay 24 2018, 12:59 PM

I'm sorry again!

I found that when I am turn off all gadgets, the error does not appear.

Vladis13 added a comment.EditedMay 24 2018, 2:54 PM

Seems, the error appears while enabled the gadget mw-input-wpgadgets-Navigation_popups. Also is no the error in anonymity mode that also disabling gadgets.

Tpt added a comment.May 24 2018, 3:25 PM

Thank you for your feedbacks!

Seems, the error appears while enabled the gadget mw-input-wpgadgets-Navigation_popups.

Interesting. I don't see how the popups gadget could interfere with ProofreadPage but there is maybe a relation (change in the code execution order?). I have managed to reproduce the problem on ru.wikisource on Chrome (not on Firefox) with only the default gadget and Navigation_popups activated. I'm going to investigate on it.

@Kaganer Sorry for the not so nice reply earlier. I understand that enduring these bugs is very cumbersome. As a community, Wikisource should probably do something in order to improve the maintenance of its core infrastructure. If you know someone who would be interesting to contribute to ProofreadPage, I would be more than happy to help her/him get on board.

Thank you too! Your help is very useful.
Also before was a problem T176393 that one gadget conflicted with the ProoreadsPage.

On ru-forum proposed a temporary solution, add to personal common.css:

.prp-page-image img { width: 100% !important; height: auto !important; }

On ru-forum proposed a temporary solution, add to personal common.css:

.prp-page-image img { width: 100% !important; height: auto !important; }

Thanks for the temporary solution. Its working for in ta.wikisource